FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Announcements » FUDforum 2.6.7RC2 Released
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
FUDforum 2.6.7RC2 Released [message #20305] Thu, 07 October 2004 09:10 Go to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Yet another release candidate in the 2.6.7 series. This release bumps the required PHP version to 4.3.0+ from 4.2.0+. This is done in response to various vulnerabilities in the 4.2 series and the fact that 4.3.0 has been out for almost 2 years and there is no reason for older versions of PHP to be used.
This release also addresses the bug on Redhat/Fedora systems where the path order on opendir() is messed up, and with 4.3.0+ code we can use a better glob().

Changes:
  1. Updated Polish & French translations.
  2. Fixed possible query failure when search string does not contain any valid words.
  3. Added configurable NNTP import limit.
  4. Fixed harcoded tab with in threaded topic list.
  5. Use faster extension_loaded() instead of function_exists for module checks.
  6. glob() replaced readdir()/opendir()/closedir()
  7. Removed no longer needed function availability checks.
  8. Fix a bug that prevent proper theme from being rebuilt on template/text change in admin control panel.


FUDforum Core Developer
Re: FUDforum 2.6.7RC2 Released [message #20311 is a reply to message #20305] Thu, 07 October 2004 13:13 Go to previous messageGo to next message
BugLaden is currently offline  BugLaden   United States
Messages: 208
Registered: February 2002
Location: New Windsor, Md.
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user

Quote:

This release bumps the required PHP version to 4.3.0+ from 4.2.0+. This is done in response to various vulnerabilities in the 4.2 series and the fact that 4.3.0 has been out for almost 2 years and there is no reason for older versions of PHP to be used.


Unless your system is configured on RPM releases like RedHat. Their "latest stable" configuration is still using 4.2. Updating manually will involve tracking down almost a hundred packages.

Why does RedHat take so long to keep up with PHP?

Perhaps your minimum php requirements should adhere to the schedule of these configuations?


-=BugLaden
CCG Workshop, LLC
Play Hobby and Strategy Games Online!
Re: FUDforum 2.6.7RC2 Released [message #20314 is a reply to message #20311] Thu, 07 October 2004 15:50 Go to previous message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
You can always compile from source. All distributions have 4.3.X packages available, if not in the stable tree then the dev tree.

FUDforum Core Developer
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: 2.6.7RC1 Released
Next Topic: FUDforum 2.6.7 Released
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Mon Oct 23 13:19:45 EDT 2017

Total time taken to generate the page: 0.00644 seconds